org.springframework.jdbc.datasource.init

## Class DatabasePopulatorUtils

- java.lang.Object
- - org.springframework.jdbc.datasource.init.DatabasePopulatorUtils

    public abstract class DatabasePopulatorUtils
    extends Object

Utility methods for executing a DatabasePopulator.

Since:
  3.1
Author:
  Juergen Hoeller, Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`DatabasePopulatorUtils()`

### Method Summary

Methods
`static void` `execute(DatabasePopulator populator, DataSource dataSource)` Execute the given DatabasePopulator against the given DataSource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabasePopulatorUtils

    public DatabasePopulatorUtils()

### Method Detail

#### execute

    public static void execute(DatabasePopulator populator,
               DataSource dataSource)

Execute the given DatabasePopulator against the given DataSource.

Parameters:
  `populator` - the DatabasePopulator to execute
  `dataSource` - the DataSource to execute against